<button *ngIf="type === DIR_TYPE" mat-raised-button color="primary" (click)="returnValue(name+ '/')">
  |---{{name}}/
</button>
<button *ngIf="type === FILE_TYPE" mat-raised-button color="accent" (click)="returnValue(name)">
  | {{name}}
</button>
<div *ngFor="let file of sub">
  <fsEntry fxFlexOffset="25" [name]='file.name' [type]='file.type' [sub]='file.sub' (chosen)="addOwnDir($event)"></fsEntry>
</div>
